# Bitfeed

This repo hosts the code behind [Bitfeed](https://bits.monospace.live), a live visualization of Bitcoin network activity, focusing on the journey from unconfirmed transactions to confirmed blocks.

![Bitfeed](https://github.com/bitfeed-project/bitfeed/blob/master/screenshot.png)

## Running Bitfeed

#### Options

- One-click home node integrations
  - [Umbrel](https://getumbrel.com)
  - [Citadel](https://runcitadel.space/)
- [Docker](https://github.com/bitfeed-project/bitfeed/blob/master/DOCKER.md)
- [Build from source](#installing-and-building-bitfeed)

## Installing and Building Bitfeed

Clone the repo

```shell
git clone https://github.com/bitfeed-project/bitfeed.git
cd bitfeed
```

Then check out the README.md files in the [client](https://github.com/bitfeed-project/bitfeed/tree/master/client) and [server](https://github.com/bitfeed-project/bitfeed/tree/master/server) directories for instructions on building, running and developing.


## Contributing

Contributions of all kinds are extremely welcome:

 - Pull Requests for
 	- typos
 	- bug fixes
 	- new features
 	- coding best practices
 	- translations
 - Opening new issues for
 	- any of the above
 	- feature suggestions
 - Testing
 - Sharing Bitfeed with friends
 - Financial support
